org.apache.tinkerpop.gremlin.process.traversal.step.branch

## Class RepeatTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.branch.RepeatTest

- Direct Known Subclasses:
    RepeatTest.Traversals

      public abstract class RepeatTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RepeatTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepeatTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_emit_repeatXoutX_timesX2X_path()`
    `void` | `g_V_emit_timesX2X_repeatXoutX_path()`
    `void` | `g_V_hasXloop_name_loopX_repeatXinX_timesX5X_path_by_name()`
    `void` | `g_V_hasXname_markoX_repeatXoutE_inV_simplePathX_untilXhasXname_rippleXX_path_byXnameX_byXlabelX()`
    `void` | `g_V_repeatXbothX_timesX10X_asXaX_out_asXbX_selectXa_bX()`
    `void` | `g_V_repeatXbothX_untilXname_eq_marko_or_loops_gt_1X_groupCount_byXnameX()`
    `void` | `g_V_repeatXgroupCountXmX_byXnameX_outX_timesX2X_capXmX()`
    `void` | `g_V_repeatXoutX_timesX2X_emit_path()`
    `void` | `g_V_repeatXoutX_timesX2X_emit()`
    `void` | `g_V_repeatXoutX_timesX2X_repeatXinX_timesX2X_name()`
    `void` | `g_V_repeatXoutX_timesX2X()`
    `void` | `g_VX1X_emitXhasXlabel_personXX_repeatXoutX_name()`
    `void` | `g_VX1X_repeatXgroupCountXmX_byXloopsX_outX_timesX3X_capXmX()`
    `void` | `g_VX1X_repeatXoutX_untilXoutE_count_isX0XX_name()`
    `void` | `g_VX1X_timesX2X_repeatXoutX_name()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_emit_repeatXoutX_timesX2X_path()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_emit_timesX2X_repeatXoutX_path()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_hasXloop_name_loopX_repeatXinX_timesX5X_path_by_name()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_hasXname_markoX_repeatXoutE_inV_simplePathX_untilXhasXname_rippleXX_path_byXnameX_byXlabelX()`
    `abstract Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_repeatXbothX_timesX10X_asXaX_out_asXbX_selectXa_bX()`
    `abstract Traversal<Vertex,Map<String,Long>>` | `get_g_V_repeatXbothX_untilXname_eq_marko_or_loops_gt_1X_groupCount_byXnameX()`
    `abstract Traversal<Vertex,Map<String,Long>>` | `get_g_V_repeatXgroupCountXmX_byXnameX_outX_timesX2X_capXmX()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_repeatXoutX_timesX2X_emit_path()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_repeatXoutX_timesX2X_emit()`
    `abstract Traversal<Vertex,String>` | `get_g_V_repeatXoutX_timesX2X_repeatXinX_timesX2X_name()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_repeatXoutX_timesX2X()`
    `abstract Traversal<Vertex,String>` | `get_g_VX1X_emitXhasXlabel_personXX_repeatXoutX_name(Object v1Id)`
    `abstract Traversal<Vertex,Map<Integer,Long>>` | `get_g_VX1X_repeatXgroupCountXmX_byXloopsX_outX_timesX3X_capXmX(Object v1Id)`
    `abstract Traversal<Vertex,String>` | `get_g_VX1X_repeatXoutX_untilXoutE_count_isX0XX_name(Object v1Id)`
    `abstract Traversal<Vertex,String>` | `get_g_VX1X_timesX2X_repeatXoutX_name(Object v1Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepeatTest

          public RepeatTest()

  - ### Method Detail

    - #### get_g_V_repeatXoutX_timesX2X_emit_path

          public abstract Traversal<Vertex,Path> get_g_V_repeatXoutX_timesX2X_emit_path()

    - #### get_g_V_repeatXoutX_timesX2X_repeatXinX_timesX2X_name

          public abstract Traversal<Vertex,String> get_g_V_repeatXoutX_timesX2X_repeatXinX_timesX2X_name()

    - #### get_g_V_repeatXoutX_timesX2X

          public abstract Traversal<Vertex,Vertex> get_g_V_repeatXoutX_timesX2X()

    - #### get_g_V_repeatXoutX_timesX2X_emit

          public abstract Traversal<Vertex,Vertex> get_g_V_repeatXoutX_timesX2X_emit()

    - #### get_g_V_hasXloop_name_loopX_repeatXinX_timesX5X_path_by_name

          public abstract Traversal<Vertex,Path> get_g_V_hasXloop_name_loopX_repeatXinX_timesX5X_path_by_name()

    - #### get_g_VX1X_timesX2X_repeatXoutX_name

          public abstract Traversal<Vertex,String> get_g_VX1X_timesX2X_repeatXoutX_name(Object v1Id)

    - #### get_g_V_emit_timesX2X_repeatXoutX_path

          public abstract Traversal<Vertex,Path> get_g_V_emit_timesX2X_repeatXoutX_path()

    - #### get_g_V_emit_repeatXoutX_timesX2X_path

          public abstract Traversal<Vertex,Path> get_g_V_emit_repeatXoutX_timesX2X_path()

    - #### get_g_VX1X_emitXhasXlabel_personXX_repeatXoutX_name

          public abstract Traversal<Vertex,String> get_g_VX1X_emitXhasXlabel_personXX_repeatXoutX_name(Object v1Id)

    - #### get_g_V_repeatXgroupCountXmX_byXnameX_outX_timesX2X_capXmX

          public abstract Traversal<Vertex,Map<String,Long>> get_g_V_repeatXgroupCountXmX_byXnameX_outX_timesX2X_capXmX()

    - #### get_g_VX1X_repeatXgroupCountXmX_byXloopsX_outX_timesX3X_capXmX

          public abstract Traversal<Vertex,Map<Integer,Long>> get_g_VX1X_repeatXgroupCountXmX_byXloopsX_outX_timesX3X_capXmX(Object v1Id)

    - #### get_g_V_repeatXbothX_timesX10X_asXaX_out_asXbX_selectXa_bX

          public abstract Traversal<Vertex,Map<String,Vertex>> get_g_V_repeatXbothX_timesX10X_asXaX_out_asXbX_selectXa_bX()

    - #### get_g_VX1X_repeatXoutX_untilXoutE_count_isX0XX_name

          public abstract Traversal<Vertex,String> get_g_VX1X_repeatXoutX_untilXoutE_count_isX0XX_name(Object v1Id)

    - #### get_g_V_repeatXbothX_untilXname_eq_marko_or_loops_gt_1X_groupCount_byXnameX

          public abstract Traversal<Vertex,Map<String,Long>> get_g_V_repeatXbothX_untilXname_eq_marko_or_loops_gt_1X_groupCount_byXnameX()

    - #### get_g_V_hasXname_markoX_repeatXoutE_inV_simplePathX_untilXhasXname_rippleXX_path_byXnameX_byXlabelX

          public abstract Traversal<Vertex,Path> get_g_V_hasXname_markoX_repeatXoutE_inV_simplePathX_untilXhasXname_rippleXX_path_byXnameX_byXlabelX()

    - #### g_V_repeatXoutX_timesX2X_emit_path

          public void g_V_repeatXoutX_timesX2X_emit_path()

    - #### g_V_repeatXoutX_timesX2X_repeatXinX_timesX2X_name

          public void g_V_repeatXoutX_timesX2X_repeatXinX_timesX2X_name()

    - #### g_V_repeatXoutX_timesX2X

          public void g_V_repeatXoutX_timesX2X()

    - #### g_V_repeatXoutX_timesX2X_emit

          public void g_V_repeatXoutX_timesX2X_emit()

    - #### g_VX1X_timesX2X_repeatXoutX_name

          public void g_VX1X_timesX2X_repeatXoutX_name()

    - #### g_V_emit_timesX2X_repeatXoutX_path

          public void g_V_emit_timesX2X_repeatXoutX_path()

    - #### g_V_emit_repeatXoutX_timesX2X_path

          public void g_V_emit_repeatXoutX_timesX2X_path()

    - #### g_V_hasXloop_name_loopX_repeatXinX_timesX5X_path_by_name

          public void g_V_hasXloop_name_loopX_repeatXinX_timesX5X_path_by_name()

    - #### g_VX1X_emitXhasXlabel_personXX_repeatXoutX_name

          public void g_VX1X_emitXhasXlabel_personXX_repeatXoutX_name()

    - #### g_V_repeatXgroupCountXmX_byXnameX_outX_timesX2X_capXmX

          public void g_V_repeatXgroupCountXmX_byXnameX_outX_timesX2X_capXmX()

    - #### g_V_repeatXbothX_timesX10X_asXaX_out_asXbX_selectXa_bX

          public void g_V_repeatXbothX_timesX10X_asXaX_out_asXbX_selectXa_bX()

    - #### g_VX1X_repeatXoutX_untilXoutE_count_isX0XX_name

          public void g_VX1X_repeatXoutX_untilXoutE_count_isX0XX_name()

    - #### g_VX1X_repeatXgroupCountXmX_byXloopsX_outX_timesX3X_capXmX

          public void g_VX1X_repeatXgroupCountXmX_byXloopsX_outX_timesX3X_capXmX()

    - #### g_V_repeatXbothX_untilXname_eq_marko_or_loops_gt_1X_groupCount_byXnameX

          public void g_V_repeatXbothX_untilXname_eq_marko_or_loops_gt_1X_groupCount_byXnameX()

    - #### g_V_hasXname_markoX_repeatXoutE_inV_simplePathX_untilXhasXname_rippleXX_path_byXnameX_byXlabelX

          public void g_V_hasXname_markoX_repeatXoutE_inV_simplePathX_untilXhasXname_rippleXX_path_byXnameX_byXlabelX()

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.